<template>
  <div class="recharge-tips-view">
    <!-- <div class="recharge-tips-title">充值须知</div> -->
    <!-- <div class="recharge-tips-content">
      <div class="recharge-tips-top">
        <slot name="tips-top">
          *同一号码充值期间【切勿多平台重复充值】！！！在下单前，请务必仔细阅读公告内容！！！若接到陌生来电，请勿轻信！！！
        </slot>
      </div>
      <div class="recharge-tips-list">
        <div class="recharge-tips-item" v-for="(item, index) in props.tips" :key="index">
          {{ index + 1 }}.{{ item }}
        </div>
      </div>
    </div> -->
    <RichContent :content="introInfo" size="small" />
  </div>
</template>

<script setup lang="ts">
import RichContent from '../RichEditCard/RichContent.vue';
import { useIntroInfo } from '../../hooks';
import { LifeRechargeConstants } from '@life-payment/core-vue';

defineOptions({
  name: 'RechargeTipsView',
});

type Props = {
  tips?: string[];
  lifePayOrderType?: LifeRechargeConstants.LifePayOrderTypeEnum;
};

const props = withDefaults(defineProps<Props>(), {
  tips: () => [],
});

const { introInfo } = useIntroInfo({
  lifePayOrderType: props.lifePayOrderType,
});
</script>
